## mercurial 3.8.3

=== debian/changelog ===
mercurial (3.8.3-1) unstable; urgency=medium

  * New upstream release
  * Delete
    from_upstream__strip_invalidate_phase_cache_after_stripping_changese
    t_issue5235.patch as it's now included upstream

 -- Javi Merino <vicho@debian.org>  Fri, 03 Jun 2016 08:26:16 +0100

mercurial (3.8.2-2) unstable; urgency=medium

  * Update hgsubversion breaks to 1.8.6-1
  * Add
    from_upstream__strip_invalidate_phase_cache_after_stripping_changese
    t_issue5235.patch to fix test-obsolete.t on powerpc and i386

 -- Javi Merino <vicho@debian.org>  Sat, 28 May 2016 22:45:03 +0200
