## mercurial 3.8.4

=== debian/changelog ===
mercurial (3.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sun, 10 Jul 2016 12:38:01 +0100
