## mercurial 3.9

=== debian/changelog ===
mercurial (3.9-1) unstable; urgency=medium

  * New upstream release
  * Fix release URL in debian/watch

 -- Javi Merino <vicho@debian.org>  Sun, 07 Aug 2016 11:54:04 +0100
