=== debian/changelog ===
mercurial (3.9.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable deb_specific__use_gpg_21_keys_for_test.patch, jessie doesn't use
    gnupg 2.x.

 -- Julien Cristau <jcristau@debian.org>  Fri, 16 Sep 2016 22:28:34 +0200

mercurial (3.9.1-1) unstable; urgency=medium

  * New upstream release signed with a new gpg key
  * Fix "FTBFS: Tests failures" by fixing test-gpg.t's output to take into
    account gpg 2.1's messages when importing classic gpg keyring files.
    (Closes: #835730)

 -- Javi Merino <vicho@debian.org>  Sat, 03 Sep 2016 09:04:00 +0300

mercurial (3.8.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Julien Cristau <jcristau@debian.org>  Wed, 15 Jun 2016 14:31:25 +0200

mercurial (3.7.3-1~bpo8+1) jessie-backports; urgency=high

  * Rebuild for jessie-backports.

 -- Julien Cristau <jcristau@debian.org>  Wed, 06 Apr 2016 12:31:09 +0200

mercurial (3.5.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Javi Merino <vicho@debian.org>  Sun, 25 Oct 2015 12:26:00 +0000

mercurial (3.4.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Javi Merino <vicho@debian.org>  Mon, 03 Aug 2015 21:10:39 +0100

mercurial (3.1.2-2+deb8u1) jessie-security; urgency=high

  * Fix "CVE-2014-9462" by adding patch
    from_upstream__sshpeer_more_thorough_shell_quoting.patch
    (Closes: #783237)

 -- Javi Merino <vicho@debian.org>  Fri, 01 May 2015 19:14:56 +0100
