## mercurial 3.9.2

=== debian/changelog ===
mercurial (3.9.2-1) unstable; urgency=medium

  * New upstream release

 -- Javi Merino <vicho@debian.org>  Sat, 22 Oct 2016 19:40:13 +0100
