=== debian/control ===
Source: mercurial
Section: vcs
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Vincent Danjean <vdanjean@debian.org>,
 Javi Merino <vicho@debian.org>,
 Tristan Seligmann <mithrandi@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python,
 patchutils (>= 0.2.25),
 gettext,
 python-all-dev (>= 2.6.6-3~),
 python-docutils,
 python-roman,
 zip,
 unzip,
 bash-completion,
 netbase,
Standards-Version: 3.9.8
Homepage: https://www.mercurial-scm.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
X-Python-Version: >= 2.4

Package: mercurial-common
Architecture: all 
Depends:
 ${misc:Depends},
 ${python:Depends},
 libjs-excanvas
Recommends: mercurial (>= ${source:Version}), ca-certificates
Suggests:
 wish,
 python-mysqldb, 
 python-pygments,
 python-openssl
Breaks: mercurial (<< ${source:Version})
Replaces: mercurial (<< 2.6.3)
Description: easy-to-use, scalable distributed version control system (common files)
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 .
 This package contains the architecture independent components of Mercurial,
 and is generally useless without the mercurial package.

Package: mercurial
Architecture: any 
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, ucf (>= 2.0020),
 mercurial-common (= ${source:Version})
Recommends: openssh-client,
Suggests: qct,
 kdiff3 | kdiff3-qt | kompare | meld | tkcvs | mgdiff
Breaks: hgsubversion (<< 1.8.6-1),
 hgview-common (<< 1.8.1),
 mercurial-git (<= 0.8.3-1),
 qct (<< 1.7-2~),
 mercurial-crecord (<= 0.20140626-1),
Description: easy-to-use, scalable distributed version control system
 Mercurial is a fast, lightweight Source Control Management system designed
 for efficient handling of very large distributed projects.
 .
 Its features include:
  * O(1) delta-compressed file storage and retrieval scheme
  * Complete cross-indexing of files and changesets for efficient exploration
    of project history
  * Robust SHA1-based integrity checking and append-only storage model
  * Decentralized development model with arbitrary merging between trees
  * High-speed HTTP-based network merge protocol
  * Easy-to-use command-line interface
  * Integrated stand-alone web interface
  * Small Python codebase
 .
 This package contains the architecture dependent files.
