## mercurial 4.5

=== debian/changelog ===
mercurial (4.5-1ubuntu1) bionic; urgency=medium

  * Disble the hg-git autopkg test, the hg-git package is not in Ubuntu.
  * Disble the hgsubversion autopkg test, it's failing itself, and the
    package is outdated.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Feb 2018 19:49:05 +0100

mercurial (4.5-1) unstable; urgency=medium

  * New upstream release.
    - Drop libjs-excanvas as no longer used by upstream.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 11 Feb 2018 08:51:26 +0200
