=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 Package: mercurial-common
 Architecture: all
-Depends: libjs-excanvas, ${misc:Depends}, ${python:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Recommends: ca-certificates, mercurial (>= ${source:Version})
 Suggests: python-mysqldb, python-openssl, python-pygments, wish
 Breaks: mercurial (<< ${source:Version})
