## mercurial 4.5.2

=== debian/changelog ===
mercurial (4.5.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Julien Cristau ]
  * Add Kevin Bullock's key to debian/upstream/signing-key.asc
  * New upstream release

 -- Julien Cristau <jcristau@debian.org>  Wed, 21 Mar 2018 13:32:27 +0100
