=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  zip,
 Standards-Version: 4.0.0
 Homepage: https://www.mercurial-scm.org/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mercurial/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/mercurial/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/mercurial.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/mercurial
 X-Python-Version: >= 2.4
 
 Package: mercurial-common
