## mercurial 4.5.3

=== Makefile ===
--- 
+++ 
@@ -124,7 +124,7 @@
 
 format-c:
 	clang-format --style file -i \
-	  `hg files 'set:(**.c or **.h) and not "listfile:contrib/clang-format-blacklist"'`
+	  `hg files 'set:(**.c or **.cc or **.h) and not "listfile:contrib/clang-format-blacklist"'`
 
 update-pot: i18n/hg.pot
 
@@ -246,6 +246,12 @@
 docker-ubuntu-zesty-ppa: contrib/docker/ubuntu-zesty
 	contrib/dockerdeb ubuntu zesty --source-only
 
+docker-ubuntu-artful: contrib/docker/ubuntu-artful
+	contrib/dockerdeb ubuntu artful
+
+docker-ubuntu-artful-ppa: contrib/docker/ubuntu-artful
+	contrib/dockerdeb ubuntu artful --source-only
+
 fedora20:
 	mkdir -p packages/fedora20
 	contrib/buildrpm
@@ -314,6 +320,7 @@
 	docker-ubuntu-xenial docker-ubuntu-xenial-ppa \
 	docker-ubuntu-yakkety docker-ubuntu-yakkety-ppa \
 	docker-ubuntu-zesty docker-ubuntu-zesty-ppa \
+	docker-ubuntu-artful docker-ubuntu-artful-ppa \
 	fedora20 docker-fedora20 fedora21 docker-fedora21 \
 	centos5 docker-centos5 centos6 docker-centos6 centos7 docker-centos7 \
 	linux-wheels
