=== debian/changelog ===
mercurial (4.5.3-1ubuntu2) bionic; urgency=medium

  * Mark the test-convert-bzr-merges.t as failing (timeout arm64 autopkg test).
  * Correctly pass the test blacklist to the autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Apr 2018 20:37:59 +0200

mercurial (4.5.3-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop hgsubversion test, removed from bionic.
  * Pass the same TESTFLAGS to the autopkg tests, as done for the test
    during package build.
  * Mark the test-http-bad-server.t as failing (Ubuntu ppc64el autopkg test).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Apr 2018 14:48:43 +0200

mercurial (4.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream bugfix release

 -- Julien Cristau <jcristau@debian.org>  Thu, 05 Apr 2018 14:25:18 +0200

mercurial (4.5.2-1ubuntu1) bionic; urgency=medium

  * Drop hgsubversion test, removed from bionic.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 Mar 2018 04:29:14 +0100
