=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders:
  Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
