## mercurial 4.6

=== debian/changelog ===
mercurial (4.6-2ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Mark the test-http-bad-server.t as failing (Ubuntu ppc64el autopkg test).
  * Try to drop the arm64 timeout test, seems to work now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 May 2018 14:53:47 +0200

mercurial (4.6-2) unstable; urgency=medium

  * Fix xdiff on 32bit (closes: #898491)

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 May 2018 23:51:44 +0200

mercurial (4.6-1) unstable; urgency=medium

  * Team upload

  [ Julien Cristau ]
  * Make uscan recognize "4.6rc1" as a release candidate
  * New upstream release.
  * Document embedded third party code licenses in debian/copyright.
  * Drop obsolete X-Python-Versions control field.
  * Fix typo in deb_specific__disable_libdir_replacement.patch description
    (thanks, lintian!)
  * Install translations where hg will look for them (closes: #886797)

  [ Matthias Klose ]
  * Pass the same TESTFLAGS to the autopkg tests, as done for the test
    during package build, and make the blacklist work correctly
    (closes: #895200, #893012)
  * Disable hgsubversion and mercurial-git autopkgtests (closes: #890191)

 -- Julien Cristau <jcristau@debian.org>  Fri, 11 May 2018 18:19:39 +0200
