=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders:
  Vincent Danjean <vdanjean@debian.org>,
  Javi Merino <vicho@debian.org>,
@@ -24,7 +23,6 @@
 Homepage: https://www.mercurial-scm.org/
 Vcs-Git: https://salsa.debian.org/python-team/applications/mercurial.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/mercurial
-X-Python-Version: >= 2.4
 
 Package: mercurial-common
 Architecture: all
