=== debian/tests/control ===
Tests: testsuite
Depends: @, zip, unzip, netbase, python-subversion, monotone, cvs, bzr, tla, gcc, python2.7-dev
Restrictions: allow-stderr
