=== debian/changelog ===
mercurial (4.6.1-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Mark the test-convert-bzr-merges.t as failing (timeout arm64 autopkg
      test).
    - Mark the test-http-bad-server.t as failing (Ubuntu ppc64el autopkg test).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jun 2018 08:42:05 +0200

mercurial (4.6.1-1) unstable; urgency=medium

  * New upstream bugfix release
    + fix security issues in mpatch (closes: #901050)
    + proposed_upstream__fix_xdiff_32bit.patch: drop, applied upstream

 -- Julien Cristau <jcristau@debian.org>  Fri, 08 Jun 2018 13:56:22 +0200
