## mercurial 4.8.1

=== debian/changelog ===
mercurial (4.8.1-3) unstable; urgency=medium

  * Add less to debian/test/control as well to fix test-logtoprocess.t
    (closes: #918558).  Thanks, Graham Inggs!

 -- Julien Cristau <jcristau@debian.org>  Mon, 07 Jan 2019 13:51:50 +0100

mercurial (4.8.1-2) unstable; urgency=medium

  * test: fix test-http-bad-server with current python 2.7 (fixes FTBFS)

 -- Julien Cristau <jcristau@debian.org>  Wed, 12 Dec 2018 06:58:28 +0100

mercurial (4.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 11 Dec 2018 18:14:10 +0100

mercurial (4.8-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS due to test_profile.t failure.
  * Refresh patches.

 -- Julien Cristau <jcristau@debian.org>  Tue, 20 Nov 2018 18:55:40 +0100

mercurial (4.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add build-dep on "less" for tests.
  * Add test-wireproto-exchangev2.t to blacklist, it seems to be racy.

 -- Julien Cristau <jcristau@debian.org>  Tue, 20 Nov 2018 15:47:36 +0100

mercurial (4.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop installing mergetools.rc in /etc/mercurial/hgrc.d (closes: #909224).

 -- Julien Cristau <jcristau@mozilla.com>  Thu, 04 Oct 2018 15:10:15 +0200

mercurial (4.7.1-1) unstable; urgency=medium

  * New upstream release

 -- Julien Cristau <jcristau@mozilla.com>  Tue, 04 Sep 2018 18:45:34 +0200

mercurial (4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Add Recommends on sensible-utils (thanks, lintian).

 -- Julien Cristau <jcristau@debian.org>  Wed, 08 Aug 2018 14:34:59 +0200
